function x = isint(num)
% isint 
%   isint is integer

%   Project: IMPACT
%   Title of Code: isint
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors.

x = true;
if isnumeric(num)
    for i=1:size(num,1)
        for j = size(num,2)
            if (floor(num(i,j))-num(i,j))~=0
                x = false;
                return;
            end
        end
    end
else
    x = false;
    return;
end
